> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the last Reading for an Entity

> Returns the most recent normalized Reading for an Entity



## OpenAPI

````yaml get /v1/entities/{entityId}/readings/last
openapi: 3.0.4
info:
  title: Connect Readings API
  description: Provides endpoints to get entity readings.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
tags:
  - name: Readings
    description: Access Readings
  - name: Aggregations
    description: Access Aggregations
  - name: Statistics
    description: Access Statistics
paths:
  /v1/entities/{entityId}/readings/last:
    get:
      tags:
        - Readings
      summary: Retrieve the last Reading
      description: Returns the most recent normalized Reading for an Entity
      operationId: get-getlastreadingasync
      parameters:
        - name: entityId
          in: path
          description: The id of the Entity
          required: true
          schema:
            type: string
            format: uuid
          example: 8667fb97-68f2-485a-87c7-f3bdfa9482e1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Service.Reading.Api.Models.V1.Reading
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Reading.Api.Models.V1.Reading:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.ReadingData
        entityId:
          type: string
          description: The id of the Entity
          format: uuid
        id:
          type: string
          description: The id of the reading.
          format: uuid
        measured:
          type: string
          description: The timestamp of the reading.
          format: date-time
        processed:
          type: string
          description: The timestamp the reading was processed.
          format: date-time
          nullable: true
        received:
          type: string
          description: The timestamp the reading was received.
          format: date-time
          nullable: true
      additionalProperties: false
      description: A reading.
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Service.Reading.Api.Models.V1.Data.ReadingData:
      type: object
      properties:
        activeUserReference:
          type: string
          description: Gets or initializes the active user reference.
          nullable: true
        instantaneousCurrent:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.PhasedMeasurement
        instantaneousVoltage:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.PhasedMeasurement
        isCharging:
          type: boolean
          description: A value indicating whether or not the entity is charging.
          nullable: true
        isPluggedIn:
          type: boolean
          description: A value indicating whether or not the entity is plugged in.
          nullable: true
        location:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.LocationMeasurement
        locationMatches:
          type: array
          items:
            $ref: >-
              #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.LocationMatch
          description: The location of the reading matched to the entity locations.
          nullable: true
        negativeActiveEnergy:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.TieredMeasurement
        negativeActiveEnergyPhases:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.PhasedMeasurement
        negativeActiveInstantaneousPower:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.PhasedMeasurement
        negativeGasVolume:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.Measurement
        odometer:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.Measurement
        positiveActiveEnergy:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.TieredMeasurement
        positiveActiveEnergyPhases:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.PhasedMeasurement
        positiveActiveInstantaneousPower:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.PhasedMeasurement
        positiveGasVolume:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.Measurement
        positiveReactiveEnergy:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.TieredMeasurement
        range:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.Measurement
        stateOfCharge:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.Measurement
      additionalProperties: false
      description: The data of a reading.
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    Connect.Service.Reading.Api.Models.V1.Data.PhasedMeasurement:
      required:
        - unit
      type: object
      properties:
        l1:
          type: number
          description: The value for phase one.
          format: double
          nullable: true
        l2:
          type: number
          description: The value for phase two.
          format: double
          nullable: true
        l3:
          type: number
          description: The value for phase three.
          format: double
          nullable: true
        total:
          type: number
          description: The total value.
          format: double
          nullable: true
        unit:
          type: string
          description: The unit.
          nullable: true
      additionalProperties: false
      description: A phased measurement.
    Connect.Service.Reading.Api.Models.V1.Data.LocationMeasurement:
      type: object
      properties:
        address:
          type: string
          description: The address of the location.
          nullable: true
        latitude:
          type: number
          description: The latitude of the location.
          format: double
          nullable: true
        longitude:
          type: number
          description: The longitude of the location.
          format: double
          nullable: true
      additionalProperties: false
      description: A location measurement.
    Connect.Service.Reading.Api.Models.V1.Data.LocationMatch:
      type: object
      properties:
        accuracy:
          type: number
          description: The accuracy of the match.
          format: double
        location:
          $ref: >-
            #/components/schemas/Connect.Service.Reading.Api.Models.V1.Data.Location
      additionalProperties: false
      description: A location match.
    Connect.Service.Reading.Api.Models.V1.Data.TieredMeasurement:
      required:
        - total
        - unit
      type: object
      properties:
        t1:
          type: number
          description: The value for tier one.
          format: double
          nullable: true
        t2:
          type: number
          description: The value for tier two.
          format: double
          nullable: true
        t3:
          type: number
          description: The value for tier three.
          format: double
          nullable: true
        t4:
          type: number
          description: The value for tier four.
          format: double
          nullable: true
        total:
          type: number
          description: The total value.
          format: double
        unit:
          type: string
          description: The unit.
          nullable: true
      additionalProperties: false
      description: A tiered measurement.
    Connect.Service.Reading.Api.Models.V1.Data.Measurement:
      required:
        - unit
        - value
      type: object
      properties:
        unit:
          type: string
          description: The unit.
          nullable: true
        value:
          type: number
          description: The value.
          format: double
      additionalProperties: false
      description: A measurement.
    Connect.Service.Reading.Api.Models.V1.Data.Location:
      type: object
      properties:
        id:
          type: string
          description: The id of the location.
          format: uuid
        label:
          type: string
          description: The label of the location.
          nullable: true
      additionalProperties: false
      description: A location set on the entity.
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````